Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.event.dom.client
Interface HasLoadedMetadataHandlers

All Superinterfaces:
  HasHandlers

All Known Subinterfaces:
  HasAllMediaHandlers

All Known Implementing Classes:
  Audio, MediaBase, Video

    public interface HasLoadedMetadataHandlers

extends HasHandlers

A widget that implements this interface provides registration for `LoadedMetadataHandler` instances.

Experimental API: This API is still under development and is subject to change.

Method Summary
`HandlerRegistration` | `addLoadedMetadataHandler(LoadedMetadataHandler handler)` Adds a `LoadedMetadataEvent` handler.

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Method Detail

### addLoadedMetadataHandler

    HandlerRegistration addLoadedMetadataHandler(LoadedMetadataHandler handler)

  Adds a `LoadedMetadataEvent` handler.

  Parameters:
    `handler` - the media loadedmetadata handler
  Returns:
    `HandlerRegistration` used to remove this handler

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD